{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <a href="{% url 'create_project' %}">Create a new project</a>
            {% if list_projects %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for list in list_projects %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' list.id %}">{{ list.name }}</a>
                                </td>
                                <td>{{ list.tasks.all.count }}</td>
                                <tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    {% else %}
                        <p>You are not assigned to any projects</p>
                    {% endif %}
                </div>
            </main>
        {% endblock content %}
